#2022-126

##Main Objective

--To improve overall security and transparency of drug authenticity and supply chain traceability in several stages of the supply chain and to enable secure interoperability between healthcare organizations.

##Main Research questions

--Rising competition from generic pharmaceuticals

--Desire for a manufacturing quality rating system

--Developing patient-centric pharmaceutical supply chain

--Lack of transparency

--Non digitization of pharmaceutical data

--Pharmaceutical fraud

--Substandard drugs consumption


##Individual research question

**Member 1 (IT19102610)**

--Different users from different user access levels can add or alter the details of the drugs.

--Entering common drug related data multiple times by the stakeholders to the blockchain.

--Can cause human error when entering data.


**Member 2 (IT19105376)**

--There are many the failure in traditional supply chain system.

--Currently, producers may have to wait a month or two after delivering a product before being paid.

--Administrative costs in the supply chain might be high because admin workers must be employed to handle invoices and send payments.

--Loss of records, inadequate information about drugs, and how much stock was produced and delivered.


**Member 3 (IT19061580)**

--Substandard drugs consumption can slip into the supply chain, this could be due to strict temperature-control logistical requirements.

--Exposing to unacceptably high temperatures some drugs and vaccines are making them as ineffective and possibly just as dangerous as a product that has experienced temperature excursions.


**Member 4 (IT19063560)**

--The unstructured and textual nature of the reviews makes it difficult for readers to classify reviews into meaningful insights.

--To detect the best choice among several drug brands there is no existing drug rating system.

--Pharmaceutical manufacturers never inform whether customers are satisfied with the product or not.


##Individual Objectives

**Member 1 (IT19102610)**

--To provide anonymous user authentication to the stakeholders in the system and to allow stakeholders to scan and retrieve data easily with the use of RFID tags.


**Member 2 (IT19105376)**

--To apply smart contacts to the block chain so that the stakeholders can perform transactions between each other without an intermediary.


**Member 3 (IT19061580)**

--To enable stakeholders in pharmaceutical industry to easily track, control, and regulate the products' temperature in a specific environment throughout the pharmaceutical supply chain.


**Member 4 (IT19063560)**

--To classify user rating of drugs and measure reviews quality metrics, and to summarize results from evaluating the measured review quality metrics.



##Supervisor's Name

Mr. Kavinga Yapa Abeywardena


##Co-supervisor's Name

Mr. Kanishka Yapa


###Members

| Gamagedara G.M.H.S.          | IT19102610    |


| Pitigala K.K.                | IT19105376    |


| Amarasinghe A.A.B.G.         | IT19061580    |


| Subawickrama H.D.A.E.        | IT19063560    |


###Technologies

    Flutter 
    
    Firebase
    
