import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';
import 'package:supplydeck_consumer/pages/qr_home.dart';

class AnimationSplash extends StatefulWidget {
  const AnimationSplash({Key? key}) : super(key: key);

  @override
  _AnimationSplashState createState() => _AnimationSplashState();
}

class _AnimationSplashState extends State<AnimationSplash> {
  @override
  void initState() {
    super.initState();
    _navigatetoDosage();
  }

  _navigatetoDosage() async {
    await Future.delayed(Duration(milliseconds: 9000), () {});
    Navigator.pushReplacement(
        context, MaterialPageRoute(builder: (context) => Home()));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Lottie.network(
            'https://assets2.lottiefiles.com/private_files/lf30_xverp39j.json'),
      ),
    );
  }
}
